Bug 1014036 - Line drawn through second line of title in PDF when using "article" DOCTYPE.
Line drawn through second line of title in PDF when using "article" DOCTYPE.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: publican (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ruediger Landmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 05:52 EDT by Stephen Wadeley
Modified: 2014-03-20 04:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:26:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Wadeley 2013-10-01 05:52:45 EDT
Description of problem:
When using the "article" DOCTYPE, and if the title text as specified in the articleinfo section wraps around to a second line of text in the PDF, the second line of text has a line drawn through it.

I presume the line is intended to be a line separating the title from the subtitle.

Version-Release number of selected component (if applicable):

$ rpm -q publican
publican-3.1.5-5.fc18.noarch

How reproducible:
Every time

Steps to Reproduce:
1. Create DOCTYPE article
2. In file DOCTYPE articleinfo, create title with 38 to 50 characters
3. Build PDF and observe title text in the middle of the title page

Actual results:
Second line has what looks like a "strike through" line drawn through the text.

Expected results:
The line should be below the title text, not drawn through it, no matter how many lines of title there are.

Additional info:
Sample on request.
Comment 1 Fedora End Of Life 2013-12-21 09:38:15 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 17:26:18 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Stephen Wadeley 2014-03-20 04:38:26 EDT
Hello Rudi

I confirm that in Fedora 20 when using:
rpm -q publican
publican-4.0.0-0.1.fc20.noarch

there is now no line through the second line of articleinfo title text in the PDF. There is no horizontal line at all.

BTW, I noticed that in the PDF version the articleinfo subtitle text is now centered, no longer left justified. 

The html-single version still shows articleinfo subtitle text not centered, but left justified.

Thank you

Note You need to log in before you can comment on or make changes to this bug.